description | JSON representation of a graph encoding xdot attributes
title | Graphviz JSON

required

- name
- directed
- strict
- _subgraph_cnt

definitions

drawops

items

oneOf

$ref
#/definitions/ellipse
#/definitions/polygon
#/definitions/polyline
#/definitions/bspline
#/definitions/text
#/definitions/font_style
#/definitions/drawcolor
#/definitions/font
#/definitions/style

type | array

style

required

- op
- style

type | object

properties

style

type | string

op

pattern | S
type | string

font_style

required

- op
- fontchar

type | object

properties

op

pattern | t
type | string

fontchar

minimum | 0
type | integer
maximum | 127

polygon

required

- op
- points

type | object

properties

points

$ref | #/definitions/pointlist

op

pattern | [pP]
type | string

metanode

required

- _gvid
- name

type | object

properties

_draw_

$ref | #/definitions/drawops

name

type | string
description | The node or subgraph name

_ldraw_

$ref | #/definitions/drawops

_gvid

type | integer

subgraphs

items

type | integer

type | array
description | index of a child subgraph

edges

items

type | integer

type | array
description | index of an edge in this subgraph

additionalProperties

type | string

nodes

items

type | integer

type | array
description | index of a node in this subgraph

title | node or subgraph

color

pattern | (#[0-9a-f]*)|(#[0-9a-f]{8})
type | string

text

required

- op
- pt
- align
- text
- width

type | object

properties

text

type | string

align

pattern | [lcr]
type | string

op

pattern | T
type | string

pt

$ref | #/definitions/point

width

type | number

point

minItems | 2

items

type | number

type | array
maxItems | 2

stop

required

- frac
- color

type | object

properties

color

$ref | #/definitions/color

frac

type | number

drawcolor

required

- op
- grad

type | object

properties

p0

oneOf

$ref
#/definitions/point
#/definitions/point3

p1

oneOf

$ref
#/definitions/point
#/definitions/point3

color

$ref | #/definitions/color

stops

items

$ref | #/definitions/stop

type | array

grad

enum

- none
- linear
- radial

type | string

op

pattern | [cC]
type | string

ellipse

required

- op
- rect

type | object

properties

rect

$ref | #/definitions/rectangle

op

pattern | [eE]
type | string

bspline

required

- op
- points

type | object

properties

points

$ref | #/definitions/pointlist

op

pattern | [bB]
type | string

edge

required

- _gvid
- tail
- head

type | object

properties

_hldraw_

$ref | #/definitions/drawops

_tdraw_

$ref | #/definitions/drawops

_draw_

$ref | #/definitions/drawops

_ldraw_

$ref | #/definitions/drawops

_gvid

type | integer

tail

type | integer
description | _gvid of tail node

_tldraw_

$ref | #/definitions/drawops

_hdraw_

$ref | #/definitions/drawops

additionalProperties

type | string

head

type | integer
description | _gvid of tail head

title | edge

polyline

required

- op
- points

type | object

properties

points

$ref | #/definitions/pointlist

op

pattern | L
type | string

font

required

- op
- size
- face

type | object

properties

size

minimum | 0
type | number

op

pattern | F
type | string

face

type | string

point3

minItems | 3

items

type | number

type | array
maxItems | 3

rectangle

minItems | 4

items

type | number

type | array
maxItems | 4

pointlist

items

$ref | #/definitions/point

type | array

type | object

properties

directed

type | boolean
description | True if the graph is directed

_draw_

$ref | #/definitions/drawops

name

type | string
description | The graph name

objects

items

$ref | #/definitions/metanode

type | array
description | The graph's subgraphs followed by the graph's nodes

_ldraw_

$ref | #/definitions/drawops

strict

type | boolean
description | True if the graph is strict

edges

items

$ref | #/definitions/edge

type | array

additionalProperties

type | string

_subgraph_cnt

type | integer
description | Number of subgraphs in the graph